/***********************************************/
/* QIPSR Fall 2016 */
/* Kristen McQuerry - kristen.mcquerry@uky.edu or asl@uky.edu*/
/***********************************************/

/*import data*/
proc import out= datafile=" " dbms= replace;
	getnames=;
	sheet=' ';
run;

/*data check*/
proc print data=;
run;
proc contents data= varnum;
run;

/*create library*/
libname  ' ';

/*create permanent dataset*/
data ;
	set ;
run;

/**********************************************************************************/
/*frequency procedure*/

/*single variable*/
proc freq data= ;
	tables  / out= ;
	tables  / out= ;
run;

/*formatting variables*/
proc format;
	value ;
	value ;
run;
/*keep in mind - when you name a format it can be no longer than 8 characters and must not start or end with a number, 
	formats for character data must start with a $*/

/*single variable with formating*/
proc freq data= ;
	tables  / out= ;
	tables  / out= ;
	format .;
run;

/*contigency table*/
proc freq data= ;
	tables  / norow nopercent out= ;
	tables / norow nopercent out=ebys ;
	format ;
	ods output chisq= ;
run;

/*Info needed from Chi-Square test*/
data ;
	set ;
	if ;
run;


/**********************************************************************************/
/*means procedure*/

/*single variable*/
proc means data= /*mean stderr min max median n nmiss*/;
	var ;
	output out= /*mean= stderr= min= max= median= n= nmiss=*/;
run;

/*data with only height*/
data ;
	set ;
	keep ;
	label ;
run;

/*means by a variable*/
proc sort data= out= ;
	by ;
run;

proc sort data= out= ;
	by ;
run;

proc means data= mean stderr min max median n nmiss;
	by ;
	var ;
	output out= mean= stderr= min= max= median= n= nmiss=;
run;

/*data with only weight*/
data ;
	set ;
	keep ;
	label ;
run;


/*ANOVA*/

proc glm data=;
	class ;
	model = /ss3;
	ods output modelanova= ;
run;quit;



